## postgresql-set-user 4.1.0

=== Makefile ===
EXTENSION = set_user
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
LDFLAGS_SL += $(filter -lm, $(LIBS))
MODULES = src/set_user
PG_CONFIG = pg_config
PGFILEDESC = "set_user - similar to SET ROLE but with added logging"
REGRESS = set_user

all: extension/$(EXTENSION)--$(EXTVERSION).sql

extension/$(EXTENSION)--$(EXTVERSION).sql: extension/set_user.sql
	cat $^ > $@

DATA = $(wildcard updates/*--*.sql) extension/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = extension/$(EXTENSION)--$(EXTVERSION).sql

ifdef NO_PGXS
subdir = contrib/set_user
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

.PHONY: install-headers uninstall-headers

install: install-headers

install-headers:
	$(MKDIR_P) "$(DESTDIR)$(includedir)"
	$(INSTALL_DATA) "src/set_user.h" "$(DESTDIR)$(includedir)"

uninstall: uninstall-headers

uninstall-headers:
	rm "$(DESTDIR)$(includedir)/set_user.h"

## postgresql-set-user 3.0.0

=== debian/changelog ===
postgresql-set-user (3.0.0-3) unstable; urgency=medium

  * Add actual description, thanks Jérémy Lal. (Closes: #1017706)

 -- Christoph Berg <myon@debian.org>  Fri, 19 Aug 2022 11:36:33 +0200

postgresql-set-user (3.0.0-2) unstable; urgency=medium

  * Fix test failure with PG 15.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Aug 2022 13:11:09 +0200

postgresql-set-user (3.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Aug 2022 12:12:37 +0200

=== debian/control ===
Source: postgresql-set-user
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/pgaudit/set_user
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-set-user
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-set-user.git

Package: postgresql-14-set-user
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL privilege escalation with enhanced logging and control
 The set_user PostgreSQL extension allows switching users and optional
 privilege escalation with enhanced logging and control. It provides an
 additional layer of logging and control when unprivileged users must escalate
 themselves to superuser or object owner roles in order to perform needed
 maintenance tasks.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g;s/-rc/~rc/" \
https://github.com/pgaudit/set_user/tags .*/REL(.*).tar.gz

## postgresql-set-user 4.0.1

=== debian/changelog ===
postgresql-set-user (4.0.1-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 22:21:00 +0200

postgresql-set-user (4.0.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:21:00 +0200

postgresql-set-user (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 10:12:38 +0100

postgresql-set-user (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Nov 2022 10:45:37 +0100

postgresql-set-user (4.0.0~rc1-1) unstable; urgency=medium

  * New upstream version 4.0.0~rc1.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 21:03:54 +0100

postgresql-set-user (3.0.0-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,65 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pgaudit/set_user
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-set-user
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-set-user.git
+
+Package: postgresql-10-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.
+
+Package: postgresql-11-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.
+
+Package: postgresql-12-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.
+
+Package: postgresql-13-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.
 
 Package: postgresql-14-set-user
 Architecture: any
@@ -25,3 +77,29 @@
  additional layer of logging and control when unprivileged users must escalate
  themselves to superuser or object owner roles in order to perform needed
  maintenance tasks.
+
+Package: postgresql-15-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.
+
+Package: postgresql-16-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.

## postgresql-set-user 4.1.0

=== debian/changelog ===
postgresql-set-user (4.1.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 15 Sep 2024 13:31:16 +0200

postgresql-set-user (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
  * Upload for PostgreSQL 17.
  * Build for PG 12+.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 13:31:16 +0200

postgresql-set-user (4.1.0~rc1-1) unstable; urgency=medium

  * New upstream version 4.1.0~rc1.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Aug 2024 11:24:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,15 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ debhelper-compat (= 13),
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pgaudit/set_user
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-set-user
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-set-user.git
-
-Package: postgresql-10-set-user
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL privilege escalation with enhanced logging and control
- The set_user PostgreSQL extension allows switching users and optional
- privilege escalation with enhanced logging and control. It provides an
- additional layer of logging and control when unprivileged users must escalate
- themselves to superuser or object owner roles in order to perform needed
- maintenance tasks.
-
-Package: postgresql-11-set-user
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL privilege escalation with enhanced logging and control
- The set_user PostgreSQL extension allows switching users and optional
- privilege escalation with enhanced logging and control. It provides an
- additional layer of logging and control when unprivileged users must escalate
- themselves to superuser or object owner roles in order to perform needed
- maintenance tasks.
 
 Package: postgresql-12-set-user
 Architecture: any
@@ -103,3 +79,16 @@
  additional layer of logging and control when unprivileged users must escalate
  themselves to superuser or object owner roles in order to perform needed
  maintenance tasks.
+
+Package: postgresql-17-set-user
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL privilege escalation with enhanced logging and control
+ The set_user PostgreSQL extension allows switching users and optional
+ privilege escalation with enhanced logging and control. It provides an
+ additional layer of logging and control when unprivileged users must escalate
+ themselves to superuser or object owner roles in order to perform needed
+ maintenance tasks.

## postgresql-set-user 4.2.0

=== debian/changelog ===
postgresql-set-user (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0.
  * Upload for PostgreSQL 18. (Closes: #1117333)
  * debian/pgversions: Bump to 13+.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 20:30:55 +0200

=== debian/control ===
Source: postgresql-set-user
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/pgaudit/set_user
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-set-user
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-set-user.git

Package: postgresql-18-set-user
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL privilege escalation with enhanced logging and control
 The set_user PostgreSQL extension allows switching users and optional
 privilege escalation with enhanced logging and control. It provides an
 additional layer of logging and control when unprivileged users must escalate
 themselves to superuser or object owner roles in order to perform needed
 maintenance tasks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# run tests as user postgres, disable createcluster.conf to get the default log_line_prefix
	USER=postgres pg_buildext -c '--createclusterconf=/dev/null' installcheck . . postgresql-%v-set-user

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g;s/-?rc/~rc/i" \
https://github.com/pgaudit/set_user/tags .*/REL(.*).tar.gz
